]> git.wincent.com - wikitext.git/commit
RSTRING_PTR and RSTRING_LEN fixes for Ruby 1.8.5 compatibility
authorWincent Colaiuta <win@wincent.com>
Fri, 29 Feb 2008 11:28:29 +0000 (12:28 +0100)
committerWincent Colaiuta <win@wincent.com>
Fri, 29 Feb 2008 11:28:29 +0000 (12:28 +0100)
commit7e157f866df40692813dca25e870241393eb22eb
tree01d09019cb84bfc656c4a0242ecf0f070297c56f
parent6f29a90211996ad7550850e71b9fb958464e0013
RSTRING_PTR and RSTRING_LEN fixes for Ruby 1.8.5 compatibility

Testing on RHEL 5.1, which comes with Ruby 1.8.5, indicates that 1.8.5
doesn't define the RSTRING_PTR and RSTRING_LEN macros, so define them
if they're not already defined.

Signed-off-by: Wincent Colaiuta <win@wincent.com>
Rakefile
ext/ary.h
ext/depend
ext/parser.h
ext/ruby_compat.h [new file with mode: 0644]
ext/str.h
ext/token.h
ext/wikitext.h